<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddAdvertisedPatternsReq StructType
 * @subpackage Structs
 */
class AddAdvertisedPatternsReq extends APIRequest
{
    /**
     * The advertisedPatterns
     * @var XAdvertisedPatterns
     */
    public $advertisedPatterns;
    /**
     * Constructor method for AddAdvertisedPatternsReq
     * @uses AddAdvertisedPatternsReq::setAdvertisedPatterns()
     * @param XAdvertisedPatterns $advertisedPatterns
     */
    public function __construct(XAdvertisedPatterns $advertisedPatterns = null)
    {
        $this
            ->setAdvertisedPatterns($advertisedPatterns);
    }
    /**
     * Get advertisedPatterns value
     * @return XAdvertisedPatterns|null
     */
    public function getAdvertisedPatterns()
    {
        return $this->advertisedPatterns;
    }
    /**
     * Set advertisedPatterns value
     * @param XAdvertisedPatterns $advertisedPatterns
     * @return AddAdvertisedPatternsReq
     */
    public function setAdvertisedPatterns(XAdvertisedPatterns $advertisedPatterns = null)
    {
        $this->advertisedPatterns = $advertisedPatterns;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddAdvertisedPatternsReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
